#if !defined(AFX_PRPOBJFIGUREMARK_H__24D08752_CCAC_4B06_8CD2_69F01412D3D3__INCLUDED_)
#define AFX_PRPOBJFIGUREMARK_H__24D08752_CCAC_4B06_8CD2_69F01412D3D3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProObjDynabaseMark.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "StcBorder.h"		// For CFCStcBorder.
#include "ProObjDynabaseMarkSub.h"
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjDynabaseMark _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjDynabaseMark : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjDynabaseMark)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjDynabaseMark();
	~CFCProObjDynabaseMark();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjDynabaseMark)
	enum { IDD = IDD_PRO_OBJDYNABASE_MARK };
	CFCStcBorder	m_stcBorder1;
	//}}AFX_DATA

CFCPROOBJDYNABASEMARK

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCProObjDynabaseMark)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjDynabaseMark)
	virtual BOOL OnInitDialog();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnSelchangeFgmCmbIsMarkUnlinkInTermB();
	afx_msg void OnSelchangeFgmCmbIsMarkUnlinkInTermF();
	afx_msg void OnSelchangeFgmCmbIsMarkUnlinkOutTermB();
	afx_msg void OnSelchangeFgmCmbIsMarkUnlinkOutTermF();
	afx_msg void OnSelchangeFgmCmbIsMarkUnlinkInTermO();
	afx_msg void OnSelchangeFgmCmbIsMarkUnlinkOutTermO();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRPOBJFIGUREMARK_H__24D08752_CCAC_4B06_8CD2_69F01412D3D3__INCLUDED_)
